<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>User Interface Macros :: Testsite - experimenting with Antora</title>
    <link rel="canonical" href="https://digdir.gitlab.io/test/antora-demo/home/component-a/1.5.6/ui-macros.html">
    <meta name="generator" content="Antora 2.2.0">
    <link rel="stylesheet" href="../../_/css/site.css">
  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item" href="https://digdir.gitlab.io/test/antora-demo/home">Testsite - experimenting with Antora</a>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
    <div id="topbar-nav" class="navbar-menu">
      <div class="navbar-end">
        <div class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link" href="#">Valg</a>
          <div class="navbar-dropdown">
            <a class="navbar-item" href="#">Rolle</a>
            <a class="navbar-item" href="#">Preferanser</a>
            <a class="navbar-item" href="#">Språk</a>
          </div>
        </div>
        <div class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link" href="#">Ressurser</a>
          <div class="navbar-dropdown">
            <a class="navbar-item" href="#">Verktøy</a>
            <a class="navbar-item" href="#">Kunnskapsbibliotek</a>
          </div>
        </div>	
        <div class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link" href="#">Hjelp</a>
          <div class="navbar-dropdown">
            <a class="navbar-item" href="#">Om NEAR-NO</a>
            <a class="navbar-item" href="#">FAQ</a>
          </div>
        </div>
		<a id="twitter-link" class="navbar-item" href="https://twitter.com/janakaSteph" target="_blank">
          <i class="fab fa-twitter"></i>
        </a>
      </div>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="component-a" data-version="1.5.6">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="inline-text-formatting.html">Component A</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="inline-text-formatting.html">Basic Inline Text Formatting</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="special-characters.html">Special Characters &amp; Symbols</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="admonition.html">Admonition</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="sidebar.html">Sidebar</a>
  </li>
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="ui-macros.html">UI Macros</a>
  </li>
  <li class="nav-item" data-depth="1">
    <button class="nav-item-toggle"></button>
    <span class="nav-text">Lists</span>
<ul class="nav-list">
  <li class="nav-item" data-depth="2">
    <a class="nav-link" href="lists/ordered-list.html">Ordered List</a>
  </li>
  <li class="nav-item" data-depth="2">
    <a class="nav-link" href="lists/unordered-list.html">Unordered List</a>
  </li>
</ul>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Component A</span>
    <span class="version">1.5.6</span>
  </div>
  <ul class="components">
    <li class="component is-current">
      <span class="title">Component A</span>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="inline-text-formatting.html">1.5.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <span class="title">Component B</span>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../component-b/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <span class="title">Tools</span>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../tools/siste/index.html">siste</a>
        </li>
        <li class="version">
          <a href="../../tools/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../tools/1.0/index.html">1.0</a>
        </li>
      </ul>
    </li>
  </ul>
</div>
    </div>
  </aside>
</div>
<main>
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../tools/siste/index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="inline-text-formatting.html">Component A</a></li>
    <li><a href="ui-macros.html">UI Macros</a></li>
  </ul>
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/digdir/test/antora-demo/demo-docs-component-a/edit/master/modules/ROOT/pages/ui-macros.adoc">Rediger kilde</a></div>
  </div>
<article class="doc"><a name="section-top"></a>
<h1 class="page">User Interface Macros</h1>
<div id="preamble">
<div class="sectionbody">
<div class="paragraph">
<p>Asciidoctor has three user interface (UI) macros:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Button <code>btn:[]</code></p>
</li>
<li>
<p>Keyboard <code>kbd:[]</code></p>
</li>
<li>
<p>Menu <code>menu:[]</code></p>
</li>
</ul>
</div>
<div class="admonitionblock tip">
<table>
<tr>
<td class="icon">
<i class="fa icon-tip" title="Tip"></i>
</td>
<td class="content">
The <code>:experimental:</code> attribute must be set in the document header or globally to enable UI macros.
</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="button"><a class="anchor" href="#button"></a>Button</h2>
<div class="sectionbody">
<div class="paragraph">
<p>Communicate that a user should press a button with the button macro.</p>
</div>
<div class="listingblock">
<div class="title">Button UI macro</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-asciidoc hljs" data-lang="asciidoc">Press the btn:[Submit] button when you are finished the survey.

Select a file in the file navigator and click btn:[Open].</code></pre>
</div>
</div>
<div class="exampleblock">
<div class="title">Result</div>
<div class="content">
<div class="paragraph">
<p>Press the <b class="button">Submit</b> button when you are finished the survey.</p>
</div>
<div class="paragraph">
<p>Select a file in the file navigator and click <b class="button">Open</b>.</p>
</div>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="keyboard"><a class="anchor" href="#keyboard"></a>Keyboard</h2>
<div class="sectionbody">
<div class="paragraph">
<p>Create keyboard shortcuts with the keyboard macro.</p>
</div>
<div class="listingblock">
<div class="title">Keyboard UI macro</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-asciidoc hljs" data-lang="asciidoc">Press kbd:[esc] to exit insert mode.

Use the shortcut kbd:[Ctrl+T] to open a new tab in your browser.

kbd:[Ctrl+Shift+N] will open a new incognito window.</code></pre>
</div>
</div>
<div class="exampleblock">
<div class="title">Result</div>
<div class="content">
<div class="paragraph">
<p>Press <kbd>esc</kbd> to exit insert mode.</p>
</div>
<div class="paragraph">
<p>Use the shortcut <span class="keyseq"><kbd>Ctrl</kbd>+<kbd>T</kbd></span> to open a new tab in your browser.</p>
</div>
<div class="paragraph">
<p><span class="keyseq"><kbd>Ctrl</kbd>+<kbd>Shift</kbd>+<kbd>N</kbd></span> will open a new incognito window.</p>
</div>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="menu"><a class="anchor" href="#menu"></a>Menu</h2>
<div class="sectionbody">
<div class="paragraph">
<p>Show readers how to select a menu item with the menu macro.</p>
</div>
<div class="listingblock">
<div class="title">Menu UI macro</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-asciidoc hljs" data-lang="asciidoc">To save the file, select menu:File[Save].

Select menu:View[Zoom &gt; Reset] to reset the zoom level to the default setting.</code></pre>
</div>
</div>
<div class="exampleblock">
<div class="title">Result</div>
<div class="content">
<div class="paragraph">
<p>To save the file, select <span class="menuseq"><b class="menu">File</b>&#160;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Save</b></span>.</p>
</div>
<div class="paragraph">
<p>Select <span class="menuseq"><b class="menu">View</b>&#160;<i class="fa fa-angle-right caret"></i> <b class="submenu">Zoom</b>&#160;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Reset</b></span> to reset the zoom level to the default setting.</p>
</div>
</div>
</div>
</div>
</div>
</article>
<aside class="article-aside hidden" role="navigation">
  <h3 class="toc-title">Innhold</h3>
  <div id="article-toc"></div>
</aside></main>
</div>
<footer class="footer">
  <p>This page was built using the Antora default UI.</p>
  <p>The source code for this UI is licensed under the terms of the MPL-2.0 license.</p>
</footer>
<script src="https://cdnjs.cloudflare.com/ajax/libs/tocbot/4.1.1/tocbot.min.js"></script>
<script src="../../_/js/site.js"></script>
<script src="../../_/js/vendor/highlight.js"></script>
<script>hljs.initHighlighting()</script>
<script>
  tocbot.init( {
                  tocSelector: '#article-toc',
                  contentSelector: 'article',
                  headingSelector: 'h2, h3, h4, h5, h6',
                  collapseDepth: 6,
                  positionFixedSelector: '#article-toc',
                  scrollSmooth: false
                } );
  var tocList = document.getElementById( 'article-toc' ).getElementsByClassName( 'toc-list' );
  if ( tocList && tocList.length > 0 && tocList[0].childNodes.length > 0 ) {
    document.getElementById( 'article-toc' ).parentNode.classList.remove( 'hidden' );
  }
</script>  </body>
</html>
